Switch to full style
About SheepShaver, a PPC Mac emulator for Windows, MacOSX, and Linux that can run System 7.5.3 through MacOS 9.0.4.
Post a reply

Sheepshave and EFI

Wed Mar 14, 2018 1:42 pm

Hi

I've downloaded and installed Sheepshaver in order to install an updater firmware
for my Jupiter 6 synthesizer.
I've imported the installer to Mac os9 but when I try to run it, it says the application
program cannot be found.
The file has an EFI extention. What program do I need?

Thanks!

nikolaj

Re: Sheepshave and EFI

Wed Mar 14, 2018 3:46 pm

What was your plan for using SheepShaver to install the firmware update?

EFI is firmware-on-disk (OS X also uses EFI files to boot), so you're going to need to overwrite the existing EFI file on your synth with this one somehow. EFI uses the PE header structure like Windows executable files, but it's not an .exe. It won't "run" on any computer system, as it's the actual firmware needed for your synth; the only place it will run is when copied to the synth's EFI storage location.

This leads us back to SheepShaver: is there some reason you're attempting to load this via a PPC emulator (with minimal serial communications capabilities)?

I can't find anything in http://www.synthfool.com/docs/Roland/Ro ... Manual.pdf that indicates its firmware is even updatable, let alone how to do so.

Re: Sheepshave and EFI

Wed Mar 14, 2018 4:31 pm

Ah, ok, I had no clue what EFI was..

The developer said I would need Windows or an old OS 9 Mac to run the updater.

Hmm..

Re: Sheepshave and EFI

Wed Mar 14, 2018 4:36 pm

Makes sense... unfortunately, what you've got is not the updater but the file being updated.

Likely you'll need a serial connection between the computer and the synth, and then you'll also need the software that pushes the update to the synth.

You are more likely to have success by installing Windows XP in VirtualBox or Parallels and using a USB to Serial adapter than you are doing anything inside SheepShaver.

Re: Sheepshave and EFI

Wed Mar 14, 2018 9:23 pm

I found the opdater but now it says I need Freemidi 1.35 or OMS 1.2.

Where do I find stuff like that? I couldnt find it.

Re: Sheepshave and EFI

Wed Mar 14, 2018 9:49 pm

FreeMIDI and OMS won't run in SheepShaver. MIDI only works in FusionPC and pce/Macplus... neither of which are PowerPC emulators, so the updater won't run in them.

As I said, your best bet is to run Windows XP in a virtual machine, not attempt to do MIDI via emulation.

Re: Sheepshave and EFI

Wed Mar 14, 2018 10:30 pm

Ok, thank a lot for your time and help!

I'll try that.

Best wishes
Post a reply